* {
    /* margin: 0; 
  padding: 0; */
    box-sizing: border-box;
}

@keyframes fadeInPage {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@font-face {
    font-family: "Inter";
    src: url("Fonts/Inter-VariableFont_opsz,wght.ttf") format("truetype");
    font-weight: 1 999;
    /* variable weight range */
    font-style: normal;
}

@font-face {
    font-family: "Inter";
    src: url("Fonts/Inter-Italic-VariableFont_opsz,wght.ttf") format("truetype");
    font-weight: 1 999;
    font-style: italic;
}

body,
html {
    height: 100%;
    display: block;
    scroll-behavior: auto;
}

body {
    animation: fadeInPage 1s ease-in forwards;
    opacity: 0;

    margin: 0;

    height: fit-content;
    overflow-y: scroll;
    scrollbar-width: none;

    font-family: "Inter", sans-serif;
    font-weight: 400;
}

.skull {
    position: fixed;
    margin: 2rem;
    z-index: 2;

    font-size: 9pt;
    text-transform: uppercase;
    letter-spacing: 0.03em;
    text-align: left;

    width: calc(100vw - 4rem);
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: repeat(6, 1fr);
    align-items: start;
}

.copyright {
  overflow: visible;
  white-space: nowrap;
  cursor: pointer;
  animation: blink-on-load 1s ease-in-out 3;
  animation-delay: 1.2s;

  position: fixed;
  bottom: 2rem;
  left: 2rem;
}

.navLinks {
  grid-row: 1 / span 1;
  grid-column: 1 / span 2;
  display: grid;
}

body:has(#navAnkh:checked) .navLinks {
  position: fixed;
  inset: 0;
  align-items:flex-start;
  background: white;
  z-index: 10;
  padding: 2rem;
}

.ankh_symbol {
  grid-column: 1 / span 1;
  font-size: 15pt;
  line-height: 11pt;
  animation: blink-on-load 1s ease-in-out 3;
  animation-delay: 1.2s;
}

@keyframes blink-on-load {
  0%, 100% { opacity: 1; }   /* fully visible */
  50% { opacity: 0; }        /* invisible at midpoint */
}

.ankh_symbol input[type="checkbox"] {
  display: none;
}

.navText {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  text-align: center;
  line-height: 25pt;
  /* smooth transitions */
  display: none;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

body:has(#navAnkh:checked) .navText {
  display: block;
  pointer-events: auto;
}

body:has(#navAnkh:not(:checked)) .navText {
  display: none;
}

.ankh_symbol label {
  display: inline-block;
  transition: transform 0.3s ease;
}

body:has(#navAnkh:checked) .ankh_symbol label {
  transform: rotate(45deg);
  /* optional: slightly bigger */
}

.name {
    grid-row: 1 / span 1;
    grid-column: 6 / span 1;
    text-align: right;
}

.page {
    width: calc(100vw - 2em);
    height: 100vh;
    padding-top: 25vh;
    margin-inline: 1rem;
    overflow-y: hidden;
    scrollbar-width: none;

    display: grid;
    grid-template-rows: repeat(4, 1fr);
    grid-template-columns: repeat(6, 1fr);
    align-items: start;

    font-size: 9pt;
}

.project-title {
    text-transform: uppercase;
    letter-spacing: 0.03em;
    text-align: center;
    margin-bottom: 1rem;
}

.project-desc {
    /* grid-row: 2 / span 2;
    grid-column: 3 / span 2; */
    position: absolute;
    top: 50vh;
    left: 50vw;
    transform: translate(-50%,-50%);
    width: calc((100vw / 6) * 2);

    text-align: center;
    /* hyphens: auto;
    word-spacing: -0.05em;
    overflow-wrap: break-word; */
}

.project-dets {
    grid-row: 4 / span 1;
    grid-column: 3 / span 2;
    text-align: center;
}

.subpage {
    width: 100vw;
    height: fit-content;
    padding-inline: 20vw;

    display: flex;
    flex-direction: column;
}

.subpage img {
    width: 100%;
}

.extra-page {
    width: calc(100vw - 2em);
    height: 100vh;
    margin: 1rem;
    overflow-y: hidden;
    scrollbar-width: none;

    display: grid;
    grid-template-rows: repeat(4, 1fr);
    grid-template-columns: repeat(6, 1fr);
    align-items: start;

    font-size: 9pt;
}

.project-extra-desc {
    grid-row: 2 / span 1;
    grid-column: 3 / span 2;

    text-align: center;
    /* hyphens: auto;
    word-spacing: -0.05em;
    overflow-wrap: break-word; */
}

.project-url {
    margin-top: 2rem;
    text-transform: uppercase;
    letter-spacing: 0.03em;
}

.project-url a {
    text-decoration: underline;
    text-underline-offset: 3px;
}

.topBtn {
    grid-row: 4 / span 1;
    grid-column: 1 / span 6;
    text-transform: uppercase;
    letter-spacing: 0.03em;
    text-align: center;
}

a {
    text-decoration: none;
    color: black;
}





/* vimeo settings — holy grail */
.vimeo-container {
    position: relative;
    width: 100%;
    overflow: hidden;

    margin-top: 10rem;
}

iframe.vimeo-video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100%;
}

.eighty-fifty-container {
    aspect-ratio: 83 / 54;
    padding-top: calc(100% * (54 / 83));
    /* Set custom aspect ratio */
}

iframe.eighty-fifty-video {
    width: 153.7%;
    /* 100 * (83 / 54) */
}

.sixteen-nine-container {
    aspect-ratio: 16 / 9;
    padding-top: calc(100% * (9 / 16));
}

iframe.sixteen-nine-video {
    width: 177.78%;
    /* 100 * (16 / 9) */
}

.ether-container {
    aspect-ratio: 25 / 18;
    padding-top: calc(100% * (18 / 25));
}

iframe.ether-video {
    width: 138.89%;
}

.human-container {
    aspect-ratio: 4 / 3;
    padding-top: calc(100% * (3 / 4));
}

iframe.human-video {
    width: 133.33%;
}

.vimeo-spacer{
    height: 10rem;
}

.ankh_symbol:hover,
.copyright_symbol:hover,
.navText a:hover,
.name:hover{
  opacity: 50%;
}





/* iphone display */
@media (max-width: 1000px) {

    .project-desc {
        width: calc((100vw / 6) * 4);
    }

    .project-dets {
        grid-row: 4 / span 1;
        grid-column: 2 / span 4;
    }

    .subpage {
        width: 100vw;
        height: fit-content;
        padding-inline: 0;

        display: flex;
        flex-direction: column;
    }

    .project-extra-desc {
        grid-row: 2 / span 1;
        grid-column: 2 / span 4;
    }

    .navLinks {
        grid-row: 1 / span 1;
        grid-column: 1 / span 2;

        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .name {
        grid-row: 1 / span 1;
        grid-column: 5 / span 2;
        text-align: right;
    }


    .vimeo-container {
        margin-top: 0rem;
    }
    .vimeo-spacer{
        height: 0rem;
    }
}